> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List companies

> List companies visible to the authenticated account.



## OpenAPI

````yaml /openapi.json get /v1/companies
openapi: 3.1.0
info:
  title: Passu Public API
  summary: >-
    External read-only API for sectors, companies, events, metrics, and
    analyses.
  description: >-
    The Passu Public API is a read-only external API intended for
    server-to-server integrations.
  version: v1
servers:
  - url: https://api.passu.ai
    description: Production
security: []
tags:
  - name: auth
  - name: sectors
  - name: companies
  - name: events
  - name: metrics
  - name: analyses
paths:
  /v1/companies:
    get:
      tags:
        - companies
      summary: List companies
      description: List companies visible to the authenticated account.
      operationId: listCompanies
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque cursor for pagination.
            title: Cursor
          description: Opaque cursor for pagination.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Maximum number of records to return.
            default: 50
            title: Limit
          description: Maximum number of records to return.
        - name: sector_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter companies by sector id.
            title: Sector Id
          description: Filter companies by sector id.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyListResponse'
        '401':
          description: Authentication failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '403':
          description: Authenticated but not permitted to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompanyListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Company'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - data
        - has_more
      title: CompanyListResponse
    Problem:
      properties:
        type:
          type: string
          title: Type
        title:
          type: string
          title: Title
        status:
          type: integer
          title: Status
        detail:
          type: string
          title: Detail
        request_id:
          type: string
          title: Request Id
        instance:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorItem'
              type: array
            - type: 'null'
          title: Errors
      type: object
      required:
        - type
        - title
        - status
        - detail
        - request_id
      title: Problem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Company:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        company_type:
          $ref: '#/components/schemas/CompanyType'
        sector_id:
          type: string
          format: uuid
          title: Sector Id
        ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticker
        cik:
          anyOf:
            - type: string
            - type: 'null'
          title: Cik
        fiscal_year_end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Fiscal Year End
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - company_type
        - sector_id
        - updated_at
      title: Company
    ValidationErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ValidationErrorItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CompanyType:
      type: string
      enum:
        - PUBLIC
        - PRIVATE
      title: CompanyType
      description: Company type enumeration.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````